Class | Chef::Provider::Service::Freebsd
In: | lib/chef/provider/service/freebsd.rb
Parent: | Chef::Provider::Service::Init

### Methods

define_resource_requirements disable_service enable_service load_current_resource read_rc_conf restart_service service_enable_variable_name set_service_enable start_service stop_service write_rc_conf

### Included Modules

Chef::Mixin::ShellOut

### Public Instance methods

define_resource_requirements()
disable_service()
enable_service()
load_current_resource()
read_rc_conf()
restart_service()
service_enable_variable_name()

The variable name used in /etc/rc.conf for enabling this service

set_service_enable(value)
start_service()
stop_service()
write_rc_conf(lines)

[Validate]